List support tickets
GET
/v1/support/tickets
const url = 'https://shareout.site/v1/support/tickets?scope=mine&status=open&limit=200';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shareout.site/v1/support/tickets?scope=mine&status=open&limit=200' \ --header 'Authorization: Bearer <token>'scope=mine (default) returns the requester’s tickets. scope=workspace&workspace={id} requires workspace admin/owner. scope=all is instance-admin only (session or personal token; workspace agent tokens are refused) and also filters by workspace (none = no workspace), category, since and limit. Optional status filter.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”scope
string
workspace
string
Required when scope=workspace. With scope=all, a workspace id or none.
status
string
category
string
Scope=all only.
since
string format: date-time
Scope=all only. Tickets with a message after this ISO timestamp.
limit
integer
Scope=all only.
Responses
Section titled “Responses”Tickets
Media typeapplication/json
object
success
boolean
tickets
Array<object>
object
id
string
subject
string
status
string
channel
string
workspace_id
string
requester_user_id
string
requester_email
string format: email
priority
string
created_at
string format: date-time
updated_at
string format: date-time
Example
{ "tickets": [ { "status": "open", "channel": "ui" } ]}